.modal {
  position: absolute;
  display: flex;
  z-index: 90;
  padding: 0px;
  margin: 0px auto;
  top: 0px;
  left: 0px;
  width: 100%;
  min-height: 100vh;
  height: 100%;
  justify-content: center;
  align-items: center;
  font-size: 40px;
  transition: all 200ms ease-in;
  font-family: 'Kanit-Light'; }
  .modal.close {
    display: none !important; }
  .modal__content {
    z-index: 2;
    position: fixed;
    background-color: rgba(45, 23, 18, 0.6);
    font-size: 28px;
    color: white;
    padding: 0;
    width: 320px;
    height: 191px;
    font-family: 'Kanit';
    border-radius: 20px;
    border: 3px solid #bf7254;
    left: 50%;
    margin-left: -160px;
    top: 50%;
    margin-top: -95px; }
    .modal__content--full {
      width: calc(96% - 20px - 20px);
      height: calc(96% - 20px - 20px); }
    .modal__content--height {
      height: auto;
      min-height: 300px; }
    .modal__content--loading {
      height: 150px; }
    .modal__content.loading {
      z-index: 999; }
  .modal__incontent {
    width: 100%;
    text-align: center;
    font-family: 'Kanit-Light';
    line-height: 1.5em;
    margin: 20px auto 0px;
    /* height: fit-content; */ }
    .modal__incontent--loading {
      font-size: 30px;
      margin-top: 70px; }
    .modal__incontent--message {
      font-size: 26px;
      margin-top: 20px; }
    .modal__incontent--confirmrandom {
      font-family: "Kanit-Light";
      font-size: 20px;
      margin-top: 30px; }
    .modal__incontent--selectcharacter {
      font-size: 20px;
      margin-top: 20px; }
    .modal__incontent--confirmredeem {
      font-size: 20px;
      margin-top: 20px; }
    .modal__incontent--reward-text {
      font-family: "Kanit-Bold";
      color: #000;
      font-size: 22px;
      margin-top: 10px;
      padding: 0 15px; }
  .modal__loading {
    display: flex;
    justify-content: center;
    align-items: center; }
  .modal__bottom {
    position: absolute;
    bottom: -1em;
    height: 50px;
    width: 100%;
    text-align: center;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    overflow: hidden; }
  .modal__backdrop {
    z-index: 1;
    position: fixed;
    background-color: rgba(0, 0, 0, 0.8);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0; }
    .modal__backdrop--white {
      background-color: rgba(255, 255, 255, 0.85); }
    .modal__backdrop--selectcharacter {
      width: 96% !important;
      height: 100% !important;
      left: 2% !important;
      border-radius: 30px; }
    .modal__backdrop--grey {
      background: rgba(163, 163, 163, 0.95); }
  .modal__selectcharacter {
    display: block;
    background-color: white;
    border: none;
    margin: 20px auto;
    width: 250px;
    height: 40px;
    line-height: 40px;
    color: #000;
    font-size: 30px;
    text-align: center;
    border-radius: 10px; }
  .modal__selectitemlist {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 10px; }
  .modal__selectitemslot {
    text-align: center; }
  .modal__button {
    cursor: pointer;
    display: inline-block;
    text-align: center;
    font-size: 20px;
    width: 45%;
    height: 50px;
    line-height: 50px;
    margin: 0 .4em;
    border-radius: 30px;
    color: #000;
    background-color: #cfcfcf;
    font-family: 'Kanit-Light'; }
    .modal__button--full {
      width: 100%; }
  .modal__content-inner {
    background: #626262;
    color: #fff;
    text-align: center;
    padding: 1em;
    border-radius: 20px;
    width: 70%;
    margin: 0 auto; }
  .modal__redeemlist {
    padding: 0;
    margin: 0; }
    .modal__redeemlist li {
      display: block;
      text-align: left;
      line-height: 1em; }
      .modal__redeemlist li:before {
        content: "- ";
        display: inline-block;
        vertical-align: middle;
        margin-right: .5em; }

.formselect {
  margin: 0px auto; }
  .formselect label {
    position: relative;
    color: #fff;
    background-color: #626262;
    width: 240px;
    height: 26px;
    line-height: 26px;
    display: block;
    margin: 10px auto;
    padding: 5px;
    border-radius: 10px;
    overflow: hidden; }
    .formselect label:focus {
      outline: 0 none; }
  .formselect select {
    font-size: 20px;
    border: 0px;
    background: transparent;
    vertical-align: middle;
    width: 110%;
    left: 0;
    position: absolute;
    z-index: 1; }
    .formselect select:focus {
      outline: 0 none; }
  .formselect img {
    position: absolute;
    display: block;
    top: 50%;
    width: 24px;
    height: 21px;
    right: 0px;
    transform: translate(-50%, -50%);
    user-select: none; }

@font-face {
  font-family: "Kanit-Light";
  src: url("../static/fonts/Kanit-Light.eot");
  src: url("../static/fonts/Kanit-Light.eot?#iefix") format("embedded-opentype"), url("../static/fonts/Kanit-Light.woff") format("woff"), url("../static/fonts/Kanit-Light.ttf") format("truetype"), url("../static/fonts/Kanit-Light.svg#Kanit-Light") format("svg"); }

@font-face {
  font-family: "Kanit-Regular";
  src: url("../static/fonts/Kanit-Regular.eot");
  src: url("../static/fonts/Kanit-Regular.eot?#iefix") format("embedded-opentype"), url("../static/fonts/Kanit-Regular.woff") format("woff"), url("../static/fonts/Kanit-Regular.ttf") format("truetype"), url("../static/fonts/Kanit-Regular.svg#Kanit-Regular") format("svg"); }

@font-face {
  font-family: "Kanit-Medium";
  src: url("../static/fonts/Kanit-Medium.eot");
  src: url("../static/fonts/Kanit-Medium.eot?#iefix") format("embedded-opentype"), url("../static/fonts/Kanit-Medium.woff") format("woff"), url("../static/fonts/Kanit-Medium.ttf") format("truetype"), url("../static/fonts/Kanit-Medium.svg#Kanit-Medium") format("svg"); }

@font-face {
  font-family: "Cloud-Bold";
  src: url("../static/fonts/Cloud-Bold.eot");
  src: url("../static/fonts/Cloud-Bold.eot?#iefix") format("embedded-opentype"), url("../static/fonts/Cloud-Bold.woff") format("woff"), url("../static/fonts/Cloud-Bold.ttf") format("truetype"), url("../static/fonts/Cloud-Bold.svg#Cloud-Bold") format("svg"); }

@font-face {
  font-family: "Cloud-Light";
  src: url("../static/fonts/Cloud-Light.eot");
  src: url("../static/fonts/Cloud-Light.eot?#iefix") format("embedded-opentype"), url("../static/fonts/Cloud-Light.woff") format("woff"), url("../static/fonts/Cloud-Light.ttf") format("truetype"), url("../static/fonts/Cloud-Light.svg#Cloud-Light") format("svg"); }

@font-face {
  font-family: "DBXtypeX";
  src: url("../static/fonts/DBXtypeX.eot");
  src: url("../static/fonts/DBXtypeX.eot?#iefix") format("embedded-opentype"), url("../static/fonts/DBXtypeX.woff") format("woff"), url("../static/fonts/DBXtypeX.ttf") format("truetype"), url("../static/fonts/DBXtypeX.svg#DBXtypeX") format("svg"); }

@keyframes mover {
  0% {
    transform: translate3d(-50%, 0, 0); }
  100% {
    transform: translate3d(-50%, -10px, 0); } }

body {
  padding: 0;
  margin: 0;
  box-sizing: border-box; }

h1, h2, h3, h4, h5, h6 {
  margin: 0; }

ul, li {
  margin: 0px;
  padding: 0px; }

a:link, a:visited, a:hover, a:active {
  text-decoration: none;
  color: inherit; }

.events-bns {
  width: 1105px;
  height: 700px;
  font-size: 18px;
  position: relative;
  overflow: hidden; }
  .events-bns__bg {
    width: 100%;
    height: 100%; }
  .events-bns__wrapper {
    width: 80%;
    margin: 0 auto;
    display: block;
    padding: 3em 0; }
  .events-bns__list {
    padding: 0;
    margin: 0; }
    .events-bns__list li {
      display: inline-block;
      margin-bottom: 1em;
      vertical-align: middle;
      width: 20%;
      text-align: center; }
      .events-bns__list li a {
        color: #fff;
        text-align: center;
        text-decoration: none;
        font-family: 'Kanit-Medium';
        display: block;
        font-size: 1em;
        word-break: break-word; }
        .events-bns__list li a img {
          margin: 0 auto;
          display: block;
          text-align: center; }
  .events-bns__bottom {
    display: inline-block;
    vertical-align: middle;
    padding: 2em;
    bottom: 1em;
    position: absolute;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
    width: 35%;
    border-radius: 1em;
    background: rgba(255, 255, 255, 0.85); }
  .events-bns__bottom-list {
    padding: 0;
    margin: 0 auto;
    text-align: center; }
    .events-bns__bottom-list li {
      display: inline-block;
      vertical-align: middle;
      text-align: center;
      margin: 0 1em; }
      .events-bns__bottom-list li a {
        display: block; }
        .events-bns__bottom-list li a img {
          margin: 0 auto;
          text-align: center;
          display: block; }

.events-bns-slide__dot {
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  right: 0;
  text-align: center; }
  .events-bns-slide__dot .swiper-pagination-bullet {
    background: #fff;
    opacity: 0.55; }
  .events-bns-slide__dot .swiper-pagination-bullet-active {
    background: #fff;
    opacity: 1; }

.header {
  position: relative; }
  .header__scroll {
    position: absolute;
    bottom: 0px;
    left: 50%;
    transform: translate3d(-50%, 0px, 0px);
    display: block;
    width: 52px;
    height: 71px;
    animation: mover 1s infinite alternate; }
